업데이트 날짜: 2020년 10월 29일

VMware Tools | 2020년 10월 15일 | 빌드 16938113

이 릴리스 정보의 추가 사항 및 업데이트 사항을 확인하십시오.

릴리스 정보에 포함된 내용

릴리스 정보에는 다음과 같은 항목이 포함됩니다.

새로운 기능

  • Windows용 VMware 시간 제공자 구성에 대한 지원이 추가되었습니다.
  • Windows용 VMware Tools를 사용하여 참조 블랙 센서를 사용하도록 설정할 수 있는 지원이 추가되었습니다.
  • 이제 WDDM 드라이버는 소프트웨어 대신 VMware SVGA 디바이스(64x64픽셀부터 최대 128x128픽셀까지)로 그린 더 큰 커서를 지원합니다. 이를 위해서는 하드웨어 버전 18 이상을 실행하는 가상 시스템이 필요합니다. 해당하는 가상 하드웨어 버전에 연결된 제품 목록에 대한 자세한 내용은 KB 1003746KB 1022060을 참조하십시오.
  • Windows 업데이트에서 WDDM 드라이버 배포를 사용하도록 설정하는 지원이 추가되었습니다.
    참고: 드라이버 게시 프로세스가 완료되면 Windows 업데이트 서비스를 통해 WDDM 드라이버를 사용할 수 있게 됩니다.
  • openssl 버전을 1.1.1g로 업데이트했습니다.
  • libxml2 버전을 2.9.10으로 업데이트했습니다.
  • 수정 및 기능 지원을 위해 WDDM, vsepflt 및 vnetwfp 드라이버가 업데이트되었습니다.
  • 해결된 문제 섹션에 언급된 해결된 문제입니다.

참고:

VMware Tools 11.2.1 버전에서는 두 개의 Windows 그래픽 문제가 해결되었습니다. 따라서 Windows 사용자는 VMware Tools 11.2.0으로 업그레이드하는 대신 VMware Tools 11.2.1 버전으로 설치하거나 업그레이드하는 것이 좋습니다.
이러한 문제는 이미 VMware Tools 11.2.0 버전을 설치한 비 Windows 사용자에게는 영향을 주지 않으며 비 Windows 사용자는 VMware Tools 11.2.1 버전으로 업데이트하지 않아도 됩니다.

이전 릴리스의 VMware Tools

  • VMware Tools 이전 릴리스의 경우에는 VMware Tools 설명서 페이지를 참조하십시오.

시작하기 전에

  • VMware Tools 11.2.0은 다음 게스트 운영 체제를 지원합니다.
    • windows.iso는 Windows 7 SP1 또는 Windows Server 2008 R2 SP1 이상을 지원합니다. 
      • VMware Tools 11.2.0은 Visual Studio 2015, 2017 및 2019용 Microsoft Visual C++ 재배포 가능 패키지에 의존하며 이 제품을 포함합니다.
        VMware Tools 11.2.0 설치를 위해 시스템을 준비하는 동안 Visual Studio 2015, 2017 및 2019용 Microsoft Visual C++ 재배포 가능 패키지가 시스템에 전제 조건으로 설치되는지 확인합니다. 이러한 전제 조건을 충족하지 않는 Windows 버전에 대해서는 VMware Tools 11.2.0의 설치 또는 이 버전으로의 업그레이드가 지원되지 않으며 고객은 VMware Tools 11.2.0에 대한 전제 조건을 충족하도록 Windows OS를 패치 또는 업데이트할 때까지 VMware Tools 10.2.x 또는 이전 버전을 계속 사용해야 합니다. 최신 지원 Visual C++ 다운로드에 대해서는 Microsoft의 KB2977003 업데이트를 참조하십시오.
      • Windows OS 수준 전제 조건
        • Windows Server 2019
        • Windows Server 2016
        • Windows 10
        • Windows Server 2012 R2(Microsoft 업데이트 KB2919355)
        • Windows 8.1(Microsoft 업데이트 KB2919355)
        • Windows Server 2012 
        • Windows 8
        • Windows Server 2008 R2 SP1(서비스 팩 1)(Microsoft 업데이트 KB4474419).
        • Windows 7 SP1(서비스 팩 1)(Microsoft 업데이트 KB4474419).
    • darwin.iso는 Mac OS X 버전 10.11 이상을 지원합니다.
    • Linux.iso에 대한 자세한 내용은 VMware Tools 10.3.22 릴리스 정보를 참조하십시오.
    • solaris.iso에 대한 자세한 내용은 VMware Tools 10.3.10 릴리스 정보를 참조하십시오.
  • 일부 수명 종료 게스트 운영 체제에 대해서는 VMware Tools ISO 이미지가 고정됩니다. 일부 ISO 이미지는 tools-light VIB에 ESXi와 함께 포함되어 있지 않습니다. 자세한 내용은 VMware Tools 설명서 페이지를 참조하십시오. 모든 VMware Tools ISO 이미지는 http://my.vmware.com에서 다운로드할 수 있습니다.
  • Windows용 VMware Tools: 32비트 및 64비트 설치 관리자 실행 파일(.exe)을 다운로드할 수 있습니다. 이러한 파일은 Windows 게스트 운영 체제에서 VMware Tools를 보다 쉽게 액세스하고 설치하기 위해 제공됩니다.

ESXi 6.5 이상으로 업그레이드하는 방법에 대한 중요 참고 사항

비호환성에 대한 해결 방법 및 일반 지침: ESXi 호스트를 ESXi 6.5 이상으로 업그레이드하며 이전 버전의 Horizon View Agent를 사용하는 경우 아래의 기술 자료 문서를 참조하십시오.

국제화

VMware Tools 11.2.0은 다음 언어로 제공됩니다.

  • 영어
  • 프랑스어
  • 독일어
  • 스페인어
  • 이탈리아어
  • 일본어
  • 한국어
  • 중국어 간체
  • 중국어 번체

제품 지원 알림

  • VMWare Tools에 대한 Windows Vista 이전 iso 이미지는 이제 ESXi와 패키지되지 않습니다. Windows Vista 이전 iso 이미지는 필요한 사용자가 다운로드할 수 있습니다. 다운로드 정보를 보려면 제품 다운로드 페이지를 참조하십시오.

기능 지원 종료 알림

  • MacOS VMware Tools 11.1.0에서 벌룬 드라이버가 제거되었습니다.
  • VMware Tools 10.3.x 릴리스와 함께 제공되는 Tar Tools(linux.iso) 및 OSP는 계속 지원됩니다. 그러나 VMware Tools 10.3.5 이후의 릴리스에는 위험 및 보안 수정 사항만 포함되며 이러한 유형의 VMware Tools(Tar Tools 및 OSP)의 새 기능 지원은 포함되지 않습니다. 고객은 open-vm-tools를 지원하는 해당 운영 체제에 대해 open-vm-tools를 사용하는 것이 좋습니다. 다른 유형의 VMware Tools에 대한 자세한 내용은 https://blogs.vmware.com/vsphere/2016/02/understanding-the-three-types-of-vm-tools.html을 참조하십시오.

호환성 참고 사항

  • VMware Tools 버전 10.2.0부터 FreeBSD에 대한 Perl 스크립트 기반 VMware Tools 설치가 중단되었습니다. FreeBSD 시스템은 FreeBSD 패키지 저장소에서 직접 사용할 수 있는 open-vm-tools 패키지를 통해서만 지원됩니다. open-vm-tools 10.1.0 이상용 FreeBSD 패키지는 FreeBSD 패키지 저장소에서 사용할 수 있습니다.

게스트 운영 체제 사용자 지정 지원

게스트 운영 체제 사용자 지정 지원 매트릭스에는 사용자 지정이 지원되는 게스트 운영 체제에 대한 자세한 내용이 나와 있습니다.

상호 운용성 매트릭스

VMware 제품 상호 운용성 매트릭스는 현재 및 이하 버전 VMware 제품의 호환성에 대한 세부 정보를 제공합니다. 

이 릴리스의 설치 및 업그레이드

VMware Tools는 제품 다운로드 페이지에서 다운로드할 수 있습니다.

VMware Tools를 설치하는 단계는 사용하는 VMware 제품 및 설치한 게스트 운영 체제에 따라 다릅니다. 대부분의 VMware 제품에서 VMware Tools를 설치하는 일반적인 단계는 일반 VMware Tools 설치 지침(1014294)을 참조하십시오. 공유 데이터스토어를 가리키도록 productLocker를 설정하려면 KB 2004018을 참조하십시오.

VMware Tools의 설치, 업그레이드 및 구성에 대한 세부적인 지침은 VMware Tools 설명서 페이지를 참조하십시오.

VMware Tools에 의해 설치되는 Windows 게스트 드라이버

VMware Tools 11.2.0은 Windows 게스트 운영 체제에서 다음 드라이버 버전을 지원합니다.

드라이버 VMware Tools 11.2.0
하드웨어 드라이버
vmci

9.8.16.0

vsock

9.8.17.0

pvscsi

1.3.15.0

wddm

8.17.02.0001

vmxnet3

1.8.16.0

vmxnet2

2.2.0.0

vmmouse

12.5.10.0

vmusbmouse

12.5.10.0

vmaudio

5.10.0.3506

efifw 1.0.0.0
소프트웨어 드라이버
vmrawdsk.sys

1.1.5.0

vmmemctl.sys

7.5.5.0

vmhgfs.sys

11.0.42.0

vsepflt.sys

11.2.0.0

vnetWFP.sys 

11.2.0.0 

glgxi.sys

2.3.0.0

giappdef

2.3.1.0

보안 DLL
vmwsu.dll

2.5.0.0

해결된 문제

  • VMware Tools를 10.1.5 버전에서 11.1.0 버전으로 업그레이드한 후 일부 VM에 대해 ""0x139_3_CORRUPT_LIST_ENTRY_vsepflt""를 통해 BSOD를 가져옵니다.

    vspepflt 드라이버가 NSX 환경에 설치되면 게스트 VM이 재부팅 후에만 충돌합니다. 게스트 VM은 AV 솔루션에 연결하는 동안 드라이버가 로드된 후에만 BSOD 오류가 발생합니다.

    이 문제는 이번 릴리스에서 해결되었습니다.

  • open-vm-tools(Linux 전용)에서 게스트에 구성된 IDE, SATA 또는 SAS(LSI 로직 SAS) 디스크에 대한 디스크 디바이스 매핑 정보에 메모리 누수가 발생합니다.  

    이 문제로 인해 vmtoolsd 시스템 서비스의 메모리 사용량이 점차 증가하여 시스템 성능에 영향을 줄 수 있습니다. SCSI 또는 NVMe 디바이스를 매핑할 때는 이 문제가 발생하지 않습니다.

    이 문제는 이번 릴리스에서 해결되었습니다.

알려진 문제

알려진 문제는 다음과 같이 분류됩니다.

VMware Tools 문제
  • NetworkIntrospection 기능을 제거하기 위해 설치 관리자 매개 변수를 사용하여 새 버전의 VMware Tools로 업그레이드한 후에도 이전 버전의 vnetflt 또는 vnetWFP 드라이버 서비스가 계속 실행됩니다.

    업그레이드 후에는 NetworkIntrospection 기능이 시스템의 VMware Tools MSI 데이터베이스에 없지만 이 기능의 vnetflt.sys 또는 vnetWFP 드라이버 서비스는 계속 존재합니다.

    해결 방법:

    KB 78016을 참조하십시오. 

    참고: 향후에 버전 11.1.0에서 최신 버전의 Tools로 업그레이드하면 문제가 발생하지 않습니다.

  • SHA-2 코드 서명이 지원되지 않는 Windows 7 SP1 및 Windows Server 2008 R2 SP1에서 VMware Tools 업그레이드가 실패합니다.

    Microsoft는 2019년 12월 3일부터 독점적으로 SHA-2 알고리즘을 사용하도록 Windows 드라이버 서명을 변경했습니다. 따라서 SHA-2 코드 서명 지원이 없는 레거시 Windows 시스템은 드라이버 서명 확인에 실패합니다.

    해결 방법:

    KB 78708을 참조하십시오.

  • AppDefense 드라이버 glxgi는 이벤트 뷰어에 오류를 기록합니다.

    AppDefense 드라이버 glxgi는 이벤트 뷰어에 다음과 유사한 오류를 기록합니다.

    "The glxgi service failed to start due to the following error: A device attached to the system is not functioning.”

    이벤트는 게스트 무결성이 사용하지 않도록 설정되었을 때 발견됩니다.

    해결 방법:

    이러한 이벤트는 시스템에 영향을 주지 않으며 무시해도 됩니다.

  • VMware Tools 10.3.0 이하 버전을 설치하거나 VMware Tools 11.1.x로 업그레이드하면 시간이 오래 걸릴 수 있으며 Windows OS를 다시 시작해야 할 수 있습니다.

    설치 프로세스가 진행 중으로 나타나며 다음과 유사한 메시지가 표시됩니다.
    "Preparing 'VMware Tools' for installation..."

    이 프로세스 중에 사용자에게 운영 체제를 다시 시작하라는 메시지가 표시될 수 있습니다. 

    자세한 내용은 KB 55798을 참조하십시오.

VMware Workstation 또는 Fusion의 VMware Tools 문제
  • 공유 폴더 마운트는 Linux VM에서 사용할 수 없습니다.

    전원이 꺼진 상태에서 Linux VM에서 공유 폴더 기능이 사용되도록 설정된 경우 다시 시작 시 공유 폴더 마운트를 사용할 수 없습니다.

    참고: 이 문제는 Workstation 및 Fusion에서 실행되는 VMware Tools에 해당합니다.

    해결 방법:

    VM 전원이 켜진 경우 인터페이스에서 공유 폴더 기능을 사용하지 않도록 설정했다가 다시 사용하도록 설정하십시오.
    이 문제를 영구적으로 해결하려면 /etc/fstab를 편집하고 부팅 시 자동으로 공유 폴더를 마운트하는 항목을 추가하십시오.
    예를 들어 다음 줄을 추가합니다.
    vmhgfs-fuse   /mnt/hgfs    fuse    defaults,allow_other    0    0

  • Ubuntu에서 끌기 기능이 작동하지 않습니다.

    간편 설치를 사용하여 설치한 Ubuntu 16.04.4 32비트 가상 시스템에서 끌기 기능이 작동하지 않습니다. 또한 같은 시스템에서 복사 및 붙여넣기 기능도 실패하는 것으로 확인되었습니다.

    참고: 이 문제는 Workstation 및 Fusion에서 실행되는 VMware Tools에 해당합니다.

    해결 방법:

    • modprobe.blacklist=vmwgfx linux 커널 부팅 옵션을 추가하십시오.
    • 더 큰 해상도에 액세스하려면 VMX 파일에서 svga.guestBackedPrimaryAware = "TRUE" 옵션을 제거하십시오.
VMware Horizon의 VMware Tools 문제
  • Horizon Agent가 W8/8.1/WS2008R2에 설치된 경우 Windows 업데이트 설치에서 WDDM 드라이버가 실패합니다.

    Horizon Agent가 W8/8.1/WS2008R2에 설치되면 Windows 업데이트 설치 시 WDDM 드라이버가 실패합니다.

    드라이버 게시 프로세스가 완료되면 Windows 업데이트 서비스를 통해 WDDM 드라이버를 사용할 수 있게 됩니다.

check-circle-line exclamation-circle-line close-line
Scroll to top icon